## Installation

```javascript
tns plugin add path/to/the/plugin/src
```

## Usage

```javascript
import { AriaPrint } from '@codeus/aria-print';
const ariaPrint = new AriaPrint();
```

## Native Code

This NativeScript Plugin uses the AAR library compiled from the AriaPrint module in the /src-native/android directory (that also contains demo app). In order to change the AAR implementation open that directory in Android Studio, update the code of the AriaPring module and run the Gradle task other/exportAar (task is defined in the app/build.gradle file).

In case there are native dependencies needed for the plugin to run they need to be specified in the platforms/android/include.gradle configuration.
